<template>
    <el-dialog class="emergency" :visible.sync="showSchedule" :title="tit" :modal="false" v-dialogDrag >
        <!-- 基础信息 -->
        <div class="basicInformation">
            <div>
                <h3 class="panel-title">演练信息</h3>
                <ul>
                    <li>事件类型：</li>
                    <li>事件位置：</li>
                    <li>位置描述：</li>
                    <li>事件时间：</li>
                    <li>附件：<a href="javascript:;">附件1</a><a href="javascript:;">附件1</a></li>
                </ul>
                <h3 class="panel-title">预案匹配</h3>
                <el-table :data="tableData" style="width: 100%">
                    <el-table-column prop="name" label="预案名称"></el-table-column>
                    <el-table-column prop="define" label="预案定义"></el-table-column>
                    <el-table-column prop="hierarchy" label="预案层级"></el-table-column>
                    <el-table-column prop="classification" label="预案分类"></el-table-column>
                    <el-table-column label="附件">
                        <template>
                            <a href="javascript:;">预案</a>
                        </template>
                    </el-table-column>
                </el-table>
                <el-button type="primary" size="mini">分析</el-button>
            </div>
            <!-- <div>
                <div class="panel-title">处置分析</div>
                <div class="area-selected">
                    <el-button type="primary" class="el-icon-location" size="mini"></el-button>
                    <el-button type="primary" class="el-icon-location" size="mini"></el-button>
                    <el-select v-model="value" filterable placeholder="请选择" size="mini">
                        <el-option v-for="item in options" :key="item.value" :label="item.label" :value="item.value"></el-option>
                    </el-select>
                    <el-button type="primary" class="el-icon-search" size="mini"></el-button>
                </div>
                <div>
                    <div class="analysis-btn">
                        <div>
                            <el-button type="primary" size="mini" >重置分析条件</el-button>
                            <el-button type="primary" size="mini" >开始分析</el-button>
                        </div>
                    </div>
                </div>
            </div> -->
        </div>
    </el-dialog>
</template>

<script>
const cityOptions = ['上海', '北京', '广州', '深圳']
export default {
  name: 'index',
  data () {
    return {
      tit: '事件处置',
      showSchedule: false,
      tableData: [
        { name: '预案A', define: '综合预案', hierarchy: '二级单位', classification: '环保' },
        { name: '预案B', define: '专项预案', hierarchy: '直属企业', classification: '环保' },
        { name: '预案C', define: '现场处置预案', hierarchy: '基层单位', classification: '生产' },
        { name: '预案D', define: '现场处置预案', hierarchy: '基层单位', classification: '生产' },
        { name: '预案E', define: '现场处置预案', hierarchy: '基层单位', classification: '生产' }
      ],
      checkAll: false,
      checkedCities: ['上海', '北京'],
      cities: cityOptions,
      isIndeterminate: true,
      value: '',
      options: [{ value: '500', label: '500m' }, { value: '1000', label: '1km' }, { value: '2000', label: '2km' }, { value: '5000', label: '5km' }, { value: '10000', label: '10km' }]
    }
  },
  methods: {

  },
  mounted () {

  }
}
</script>

<style scoped lang="less">
.emergency{
    /deep/ .el-dialog{
        width: 450px;
    }
    .panel-title{
        text-align: left;
        padding: 5px 0 0 0;
    }
    .basicInformation{
        .area-selected{
            display: flex;
            justify-content:flex-end;
            align-items : center;
        }
        .analysis-btn{
            display: flex;
            justify-content:space-between;
            align-items : center;
        }
    }
}
</style>
